:root {
  --primary-color: #6a11cb;
  --secondary-color: #2575fc;
  --text-color: #ffffff;
  --gradient-start: #8a2be2;
  --gradient-end: #388ae9;
  --radius: 14px;
  --main-gradient: linear-gradient(
    135deg,
    var(--gradient-start),
    var(--gradient-end)
  );
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Segoe UI", sans-serif;
}

body {
  background: #0e0e12;
  color: white;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease;
  z-index: 1;
}

/* Show overlay */
.overlay.show {
  opacity: 1;
  visibility: visible;
}

/* Ensure menu is above overlay */
.nav-links {
  z-index: 1001;
}

header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 10;

  ul {
    list-style: none;
    display: flex;
    flex-direction: row;
  }
}

.logo {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.logo-image {
  border-radius: 50%;
  height: 4rem;
  width: 4rem;
  background-image: url("logo.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.logo-text {
  line-height: 1.2;
  font-size: 1.5rem;
  font-weight: 800;
}

.logo-text span {
  background: var(--main-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.nav-links a {
  color: white;
  text-decoration: none;
  padding: 10px;
  border-radius: 8px;
  opacity: 0.85;
}

.nav-links {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}
.nav-links a:hover {
  font-weight: 700;
  color: #2575fc;
}
@media all and (max-width: 768px) {
  .nav-links {
    position: absolute;
    display: flex;
    margin: 0;
    height: 50vh;
    padding: 5px;
    right: 0;
    top: 85px;
    gap: 1rem;
    background: #000;
    flex-direction: column;
  }
  .nav-links a {
    width: 100%;
    color: white;
    text-decoration: none;
    opacity: 0.85;
    padding: 0.5rem;
  }
}

.register-btn {
  padding: 10px 20px;
  background: var(--main-gradient);
  color: white;
  text-decoration: none;
  border-radius: var(--radius);
  font-weight: 600;
  transition: 0.3s;
}
.register-btn:hover {
  transform: translateY(-4px);
}

.menu-btn {
  display: none;
  text-align: center;
  padding: 10px 20px;
  background: var(--main-gradient);
  color: white;
  text-decoration: none;
  border-radius: var(--radius);
  font-weight: 600;
  transition: 0.3s;
}

/* Hamburger button */
.menu-toggle {
  display: none;
  font-size: 28px;
  background: none;
  border: none;
  cursor: pointer;
  color: #fff;
}

/* Mobile */
@media (max-width: 768px) {
  .menu-btn {
    display: block;
    border-bottom: 1px solid;
  }

  .menu-toggle {
    display: block;
    z-index: 1001;
  }

  .nav-links {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 260px;
    background: linear-gradient(120deg, #1b0033, #000428, #3f0071);
    box-shadow: -5px 0 20px rgba(0, 0, 0, 0.1);
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    padding-top: 80px;
    z-index: 1000;
  }

  .nav-links ul {
    flex-direction: column;
  }

  .nav-links li {
    padding: 15px 25px;
    border-bottom: 1px solid #eee;
  }

  .register-btn {
    display: none;
  }

  /* When menu is active */
  .nav-links.show {
    transform: translateX(0);
  }
}

/* HERO */
.about-hero {
  position: relative;
  padding: 140px 10%;
  text-align: center;
  background: linear-gradient(120deg, #1a0033, #000428, #3f0071);
}

.about-hero h1 {
  font-size: 3.2rem;
}

.about-hero h2 {
  font-size: 2.5rem;
  margin: 10px 0;
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.about-hero p {
  max-width: 700px;
  margin: 30px auto 0;
  opacity: 0.9;
}

.btn-primary {
  text-align: center;
  background: rgb(54, 168, 54);
  color: white;
  text-decoration: none;
  border-radius: 10px;
  font-weight: 600;
  transition: 0.3s;
  padding: 10px 20px;
}
.btn-primary:hover {
  background: rgb(33, 97, 33);
}

/* STORY */
.story {
  padding: 100px 10%;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 50px;
}

.story-text h3 {
  font-size: 2rem;
  margin-bottom: 20px;
}

.story-text p {
  margin-bottom: 16px;
  opacity: 0.85;
}

.story-highlight {
  background: rgba(255, 255, 255, 0.08);
  border-radius: var(--radius);
  padding: 40px;
  text-align: center;
  backdrop-filter: blur(12px);
}

.story-highlight span {
  font-size: 4rem;
  font-weight: bold;
  background: var(--main-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* PURPOSE SECTION */
.purpose {
  padding: 80px 8%;
  background: #16161a;
}

.purpose-intro {
  max-width: 700px;
  margin-bottom: 50px;
  color: #fff;
}

.purpose-intro h3 {
  font-size: 2rem;
  margin-bottom: 15px;
  color: #fff;
}

.purpose-intro p {
  font-size: 1rem;
  line-height: 1.7;
  color: #fff;
}

/* PURPOSE CARDS */
.purpose-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 25px;
  margin-bottom: 70px;
}

.purpose-card {
  background: rgba(255, 255, 255, 0.06);
  padding: 30px;
  border-radius: 14px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
  transition: transform 0.3s ease;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.purpose-card:hover {
  transform: translateY(-6px);
}

.purpose-card h4 {
  font-size: 1.4rem;
  margin-bottom: 12px;
  color: #fff;
  font-weight: 600;
}

.purpose-card p {
  font-size: 0.95rem;
  line-height: 1.6;
  color: #fff;
}

.purpose-card a {
  display: inline-block;
  margin-top: 15px;
  color: #2575fc;
  text-decoration: none;
  font-weight: 600;
}

/* EVENT STRUCTURE */
.event-structure {
  background: #fff;
  padding: 30px;
  border-radius: 18px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.06);
}

.event-structure h3 {
  font-size: 1.8rem;
  margin-bottom: 15px;
  color: #111;
}

.event-structure > p {
  max-width: 650px;
  font-size: 1rem;
  line-height: 1.7;
  margin-bottom: 40px;
  color: #555;
}

.learn-more-btn {
  border: none;
  font-size: 1.3rem;
  font-weight: bold;
  background: var(--main-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.learn-more-btn:hover {
  cursor: pointer;
}

.learn-more-btn i {
  font-size: 1.4rem;
  color: #2575fc;
}

/* Modal Styles */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 2000;
  overflow-y: auto;
  padding: 10px;
}

.modal-content {
  background-color: #fff;
  color:#111;
  margin: 50px auto;
  max-width: 800px;
  border-radius: 10px;
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.2);
  position: relative;
  animation: modalFade 0.3s;
  padding: 30px;
  font-size: 0.95rem;
  line-height: 1.6;
  
}

@keyframes modalFade {
  from {
    opacity: 0;
    transform: translateY(-50px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.modal-points {
  display: flex;
  flex-direction: row;
  gap: 15px;
  justify-content: space-evenly;
  margin-bottom: 20px;
 
}
.modal-points div {
  flex: 1;
  min-width: 0;
}
@media (max-width: 600px) {
  .modal-points {
    flex-direction: column;
  }
}

/* STRUCTURE STEPS */
.structure-steps {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 25px;
}

.step {
  background: #f4f6f8;
  padding: 25px;
  border-radius: 14px;
}

.step span {
  display: inline-block;
  font-weight: 600;
  margin-bottom: 10px;
  color: #000;
}

.step p {
  font-size: 0.95rem;
  line-height: 1.6;
  color: #555;
}

.purposes {
  padding: 20px 40px;
  line-height: 2;
}

.purposes h3 {
  font-size: 2rem;
  background: var(--main-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  line-height: 1.2;
  margin-bottom: 10px;
}

/* FAQ Section */
.faq {
  padding: 30px;
}
.faq-container h3{
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 20px;
  background: var(--main-gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.faq-container {
  max-width: 800px;
  margin: 0 auto;
}

.faq-item {
  margin-bottom: 20px;
  border: 1px solid #111;
  border-radius: 8px;
  overflow: hidden;
  background-color: #16161a;
}

.faq-question {
  padding: 20px;
  background: #3a3a42;
  font-weight: 600;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.faq-answer {
  padding: 0 20px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease, padding 0.3s ease;
}
.notice {
  margin-top: 15px;
  font-size: 0.9rem;
  color: #ccc;
  font-style: italic;
}

.faq-item.active .faq-answer {
  padding: 20px;
  max-height: 500px;
}

.faq-toggle {
  transition: transform 0.3s ease;
}

.faq-item.active .faq-toggle {
  transform: rotate(180deg);
}


/* FOOTER */
footer {
  padding: 40px;
  text-align: center;
  background: #000;
}

.socials {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-bottom: 15px;
}

.socials a {
  color: white;
  font-size: 1.5rem;
  transition: color 0.3s;
  text-decoration: none;
}

.socials a:hover {
  color: var(--secondary-color);
  transform: translateY(-2px);
  transition: all ease 0.5s;
}

@media (max-width: 500px) {
  .story {
    display: flex;
    flex-direction: column;
  }

  .purpose .intro {
    text-align: center;
  }
}
